import { RenderCellContext } from '@oinone/kunlun-vue-ui';
import { BaseElementWidget } from '../../basic';
export declare class TableColgroupColumnWidget extends BaseElementWidget {
    initialize(props: any): this;
    get columnType(): string;
    get width(): string | number | undefined;
    get minWidth(): string | number | undefined;
    get label(): string;
    get align(): string;
    get required(): boolean;
    get headerAlign(): string;
    get footerAlign(): string;
    get fixed(): string | boolean | undefined;
    className(context: RenderCellContext): string | string[] | undefined;
    headerClassName(context: RenderCellContext): string | string[] | undefined;
    footerClassName(context: RenderCellContext): string | string[] | undefined;
    get invisible(): boolean;
    protected get clientInvisible(): boolean;
    protected existExpandRow: boolean | undefined;
}
